const defaultState = {
  fetching: false,
  torrents: [],
};

export default function showStore(state = defaultState, action) {
  switch (action.type) {
    case 'TORRENTS_FETCH_PENDING':
      return Object.assign({}, state, {
        fetching: true,
      })
    case 'TORRENTS_FETCH_FULFILLED':
      return Object.assign({}, state, {
        fetching: false,
        torrents: action.payload.data,
      })
    default:
      return state
  }
}
